package org.eso.ohs.core.docview.datatrans;

/**
 * Excepts the user id and password and returns a flag to
 * the caller to determinew what action has taken place.
 * <p>
 * $Id: Adaptor.java,v 1.1 2004/02/17 12:37:59 tcanavan Exp $
 * <br>
 * @author Bob Kemp
 */
public interface Adaptor {

    /**
     * Set the value of the objects property to <code>propVal</code>,
     * if necessary converting it first to the appropriate type, e.g. int.
     * 
     * @param propVal the new value of the property.
     */
    public void setValue(String newValue);


    /**
     * Get the value of the objects property converting it,
     * if necessary, from its actual type.
     * 
     * @return the current value of the property.
     */
    public String getValue();

}

