/*
 * Created by amchavan on Sep 23, 2004
 */

package org.eso.ohs.core.utilities.cvsproxy;
import javax.swing.JTextArea;

import org.netbeans.lib.cvsclient.event.MessageEvent;

/**
 * A CVS console routing all CVS messages to a JTextArea.
 * 
 * @version $Revision: 1.1 $
 * @author amchavan, 22-Sep-2004
 */

// $Id: JTextAreaCvsConsole.java,v 1.1 2004/09/23 09:48:38 amchavan Exp $

public class JTextAreaCvsConsole extends CvsConsole {

    private JTextArea textarea;
    
    /** Build a CVS console, given the JTextArea it should use
     *  to display the CVS output.
     */
    public JTextAreaCvsConsole( JTextArea textarea ) {
        super();
        if( textarea == null )
            throw new IllegalArgumentException( "Parameter textarea is null" );
        this.textarea = textarea;
    }
    
    /**
     * Called when the server wants to send a message to be displayed to the
     * user. The message is only for information purposes and clients can
     * choose to ignore these messages if they wish.
     * 
     * @param e  The event
     */
    public void messageSent( MessageEvent e ) {
        String line = e.getMessage();

        if( e.isTagged() ) {
            String t = MessageEvent.parseTaggedMessage( taggedLineBuffer, line);
            // if we get back a non-null line, we have something
            // to output. Otherwise, there is more to come and we
            // should do nothing yet.
            if( t != null ) {
                textarea.append( t );
                textarea.append( "\n" );
            }
        }
        else if( line.length() > 0 ) {
            textarea.append( line );
            textarea.append( "\n" );
        }
    }
}