package org.eso.ohs.dfs;

public class StrehlRatio {
   

    private static final int MAX_RATIO = 100;
    private static final int MIN_RATIO = 0;
    private int ratio = 0;
  

   

    /**
     * must be between 0.2 and 2.0
     * 
     * @param seeing
     *            void
     */
    public static boolean isValidRatio(String strehlRatio) {
      
            boolean result = true;
            try {
                int ratioValue = Integer.parseInt(strehlRatio);
                result = isValidRatio(ratioValue);
            } catch (NumberFormatException e) {
                result = false;
            }
            return result;
    }

    /**
     * @param result
     * @param ratioValue
     * @return boolean
     */
    private static boolean isValidRatio( int ratioValue) {
        boolean result = true;
        if (ratioValue < MIN_RATIO
                || ratioValue > MAX_RATIO) {
            result = false;
        }
        return result;
    }

    public StrehlRatio(String ratio) {
        if (isValidRatio(ratio)) {
        this.ratio = Integer.parseInt(ratio);
        }else {
            throw new IllegalArgumentException("The ratio is not valid:"+ratio);
        }
       
    }
    public StrehlRatio(int ratio) {
        if (isValidRatio(ratio)) {
            this.ratio = ratio;
            }else {
                throw new IllegalArgumentException("The ratio is not valid:"+ratio);
            }
           
        }

   
    public StrehlRatio(float strehlRatio) {
        this((int)strehlRatio); 
    }

    /**
     * @return String No duplication: the member is passed by reference (it
     *         is immutable).
     */
    public int get() {
        return ratio;
    }
}
