package org.eso.ohs.phase2.apps.p2ppAppServer;

// $Id: DbbLocalEngineP2PP.java,v 1.5 2004/04/08 12:09:53 tcanavan Exp $

import java.io.StringWriter;
import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.sql.SQLException;

import org.apache.log4j.Logger;
import org.eso.ohs.core.dbb.rmi.DbbLocalEngine;
import org.eso.ohs.core.dbb.rmi.DbbRemoteEngine;


/**   
 * This is the main engine of a database browser: builds SQL
 * statements, performs queries (within threads), returns result data.
 *
 * @author Bob Kemp
 *
 */
public class DbbLocalEngineP2PP extends DbbLocalEngine {

  private static Logger stdlog_ =
        Logger.getLogger( DbbLocalEngineP2PP.class );

  private final boolean usePhase2_;  

  private StringWriter sw_ = new StringWriter();

  public DbbLocalEngineP2PP(String url, boolean usePhase2) {
      super(url);
      usePhase2_ = usePhase2;
  }


  /** 
    * Get remote engine
    * @exception SQLException JDBC exception occurs
    * @exception RemoteException RMI exception occurs
    * @exception MalformedURLException malformed url i.e. servername//port
    * @exception NotBoundException client could not bind to server    
    *
    */
    protected DbbRemoteEngine factory()
	throws RemoteException,
	SQLException,
	MalformedURLException,
	NotBoundException
    {
	DbbRemoteEngine engine = null;

	if (usePhase2_) {

	    engine = 
		((DbbFactoryP2PP)Naming.lookup(SERVER_URL)).getPhase2Engine();

	}
	else {
	    engine = 
		((DbbFactoryP2PP)Naming.lookup(SERVER_URL)).getPhase1Engine();
	}

	stdlog_.info("usePhase2_: " + usePhase2_);
	stdlog_.info("engine: " + engine);
	return engine;
    }
}



