package org.eso.ohs.phase2.orang;

/*
 * Interface to be implemented by OB ranking classes
 * Currently by an OCA classifier wrapper and OrangScriptingBox
 * 
 * Example of use:
 * 
 *     OBRankingEngine scriptBox_ = OrangScriptingBox.getInstance();
 *     scriptBox_.setup(scriptDir_);
 *     scriptBox_.setOBsForRanking(obs_);
 */

public interface OBRankingEngine {
    
    public void setup(String scriptsDir) throws OrangScriptException;
    
    public String[] getAlgorithmNames() throws OrangScriptException;
   
    public void setOBsForRanking(OBScheduleInfo [] obs);
   
	public void rank(String algorithmName) throws OrangScriptException;
	
    public String getOBScore( int index );
    
    public OBScheduleInfo [] getRankedOBs() ;

}
