package org.eso.ohs.phase2.visibility;
/**
 * LST class calculates the local sidereal time 
 * The following SLALIB routines are called:
 * sla
 *
 * @version 25 July 2001
 * @author C. Mavros for ESO
 */


public class LST extends JNIWrapper{

    /**
     * Get LST
     *
     * @return lst
     */
    public double getLST(double jDate){

        double lst = (jDate-2400000.5);
        double lstFrac = lst - Math.floor(jDate);
        lst = lst - lstFrac;
        return(jnislaGmsta(lst,lstFrac));   
    }

}
