package org.eso.ohs.phase2.visiplot;

import org.eso.ohs.core.utilities.TextUtils;
import org.eso.ohs.phase2.orang.ObDataContainer;

/**
 * A simple coupling class to contain an Observation block with a
 * double key which allows it to be sorted using TextUtils.sort().
 * The string soort key is parsed as a double, and if is found to be
 * unpassable, is set to -1.0.
 */

class SortableNumberElem implements TextUtils.SortableNumber {

    private double sortKey_ = -1.0;
    private ObDataContainer[] blk_ = null;

    SortableNumberElem(ObDataContainer[] b, String sortKey) {
        try {
            sortKey_ = Double.valueOf(sortKey).doubleValue();
        } catch (NumberFormatException e) {
            sortKey_ = -1.0;
        }
        blk_ = b;
    }

    public double getSortKey() {
        return sortKey_;
    }

    ObDataContainer[] getOBs() {
        return blk_;
    }
}